## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcTriggerListener Struct Reference

Listen to trigger actions. More...

`#include <propclass/trigger.h>`

List of all members.

## Public Member Functions

virtual void | EnterTrigger (iPcTrigger *trigger, iCelEntity *entity)=0
| This entity enters a trigger.
virtual void | EntityEnters (iPcTrigger *trigger, iCelEntity *entity)=0
| An entity enters this trigger.
virtual void | EntityLeaves (iPcTrigger *trigger, iCelEntity *entity)=0
| An entity leaves this trigger.
virtual void | LeaveTrigger (iPcTrigger *trigger, iCelEntity *entity)=0
| This entity leaves a trigger.

## Detailed Description

Listen to trigger actions.

Definition at line 38 of file trigger.h.

## Member Function Documentation

virtual void iPcTriggerListener::EnterTrigger | ( | iPcTrigger * | trigger,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| This entity enters a trigger.

virtual void iPcTriggerListener::EntityEnters | ( | iPcTrigger * | trigger,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| An entity enters this trigger.

virtual void iPcTriggerListener::EntityLeaves | ( | iPcTrigger * | trigger,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| An entity leaves this trigger.

virtual void iPcTriggerListener::LeaveTrigger | ( | iPcTrigger * | trigger,
|  | iCelEntity * | entity
| ) | `[pure virtual]`

| This entity leaves a trigger.

The documentation for this struct was generated from the following file:

- propclass/trigger.h